POST
Create a signature share for a transaction on a transaction request
Allows users to supply their signature share for signing.
This route is only valid for transaction request full. Use only with MPC wallets.
Path Params
-
walletIdstring requiredThe wallet ID. -
idstring required -
transactionIdxstring required
Body Params
object
-
signatureShareobjectA user-provided share to be used in the ECDSA or EDDSA MPC signing flow. Please use signatureShares insteadsignatureShare object
-
fromstring enum requiredThe source of the signature share.userbackupbitgo -
tostring enum requiredThe recipient of the signature share.userbackupbitgo -
sharestring requiredThe signature share.
-
-
signatureSharesarray of objectsUser-provided shares to be used in the ECDSA or EDDSA MPC signing flow.signatureShares object
-
fromstring enum requiredThe source of the signature share.userbackupbitgo -
tostring enum requiredThe recipient of the signature share.userbackupbitgo -
sharestring requiredThe signature share.
-
-
signerSharestringAn openPGP ascii armored message (encrypted to the known HSM public key) containing the previous signer’s offset secret share as a 128 character hex string (64 bytes) consisting of the new offset “u” private component from the user [or backup] new offset Y-share as a 64 character hex string (32 bytes) concatenated with the new offset “chaincode” component of the new offset Y-share as a 64 character hex string (32 bytes). Must be provided when uploading an R share. -
userPublicGpgKeystringUser’s public key of the gpg key.
Responses
201
Created
Response Body
object
-
fromstring enum requiredThe source of the signature share.userbackupbitgo -
tostring enum requiredThe recipient of the signature share.userbackupbitgo -
sharestring requiredThe signature share.
400
Bad Request
Response Body
object
-
errorstring requiredHuman-readable error message -
requestIdstring requiredClient request id -
contextobjectProperties that apply to a specific error name -
namestring requiredError code
401
Unauthorized
Response Body
object
-
errorstring requiredHuman-readable error message -
requestIdstring requiredClient request id -
contextobjectProperties that apply to a specific error name -
namestring requiredError code
403
Forbidden
Response Body
object
-
errorstring requiredHuman-readable error message -
requestIdstring requiredClient request id -
contextobjectProperties that apply to a specific error name -
namestring requiredError code
404
Not Found
Response Body
object
-
errorstring requiredHuman-readable error message -
requestIdstring requiredClient request id -
contextobjectProperties that apply to a specific error name -
namestring requiredError code